---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.13
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: cluster-autoscaler-operator-557599ccf8-lchg2
      namespace: openshift-machine-api
      resourceVersion: "15935"
      uid: cdee6a14-04b2-414e-9a8f-078ee0a7c2d5
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:43:43Z"
    creationTimestamp: "2022-03-08T10:14:12Z"
    generateName: cluster-autoscaler-operator-
    generation: 4
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cluster-autoscaler-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"69b0f799-dd05-425c-94ad-ddba0477f70b"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:57Z"
    name: cluster-autoscaler-operator-8bg8n
    namespace: openshift-machine-api
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cluster-autoscaler-operator
      uid: 69b0f799-dd05-425c-94ad-ddba0477f70b
    resourceVersion: "15937"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-machine-api/endpointslices/cluster-autoscaler-operator-8bg8n
    uid: e016c90f-ee83-4401-b257-fb3e2668f4ee
  ports:
  - name: metrics
    port: 9192
    protocol: TCP
  - name: https
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints: null
  kind: EndpointSlice
  metadata:
    creationTimestamp: "2022-03-08T10:14:19Z"
    generateName: machine-api-controllers-
    generation: 1
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: machine-api-controllers
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"a0f3a396-b199-480e-a451-1510d2c69ac9"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:52:03Z"
    name: machine-api-controllers-lfv7z
    namespace: openshift-machine-api
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: machine-api-controllers
      uid: a0f3a396-b199-480e-a451-1510d2c69ac9
    resourceVersion: "23522"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-machine-api/endpointslices/machine-api-controllers-lfv7z
    uid: d7e01c9b-5e15-415e-8294-1f221c9d47df
  ports: null
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.7
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: machine-api-operator-784c77b6d4-xfllc
      namespace: openshift-machine-api
      resourceVersion: "15641"
      uid: a5005e20-cf64-4cf1-9412-cb96f13c95cb
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:42:59Z"
    creationTimestamp: "2022-03-08T10:14:19Z"
    generateName: machine-api-operator-
    generation: 4
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: machine-api-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"d58a9747-e148-4758-91f4-20b9a0cf2b5b"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:28Z"
    name: machine-api-operator-9k5pl
    namespace: openshift-machine-api
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: machine-api-operator
      uid: d58a9747-e148-4758-91f4-20b9a0cf2b5b
    resourceVersion: "15642"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-machine-api/endpointslices/machine-api-operator-9k5pl
    uid: 01f18bf6-e8d2-4811-9006-238cf62cf8ce
  ports:
  - name: https
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints: null
  kind: EndpointSlice
  metadata:
    creationTimestamp: "2022-03-08T10:14:18Z"
    generateName: machine-api-operator-webhook-
    generation: 1
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: machine-api-operator-webhook
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"95e4f30f-3b64-455c-82d6-94ad68f4a7c7"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:52:03Z"
    name: machine-api-operator-webhook-h69rb
    namespace: openshift-machine-api
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: machine-api-operator-webhook
      uid: 95e4f30f-3b64-455c-82d6-94ad68f4a7c7
    resourceVersion: "23523"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-machine-api/endpointslices/machine-api-operator-webhook-h69rb
    uid: d1c546a6-1319-4720-b192-503d242203c6
  ports: null
kind: EndpointSliceList
metadata:
  resourceVersion: "82612"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-machine-api/endpointslices
